<?php

namespace Oro\Bundle\SalesBundle\Migrations\Schema\v2_0;

use Doctrine\DBAL\Schema\Schema;

use Oro\Bundle\NoteBundle\Migration\UpdateNoteAssociationKindForRenamedEntitiesMigration;

class MigrateNotesRelations extends UpdateNoteAssociationKindForRenamedEntitiesMigration
{
    protected $entitiesNames = [
        'B2bCustomer',
        'B2bCustomerEmail',
        'B2bCustomerPhone',
        'Lead',
        'LeadAddress',
        'LeadEmail',
        'LeadPhone',
        'LeadStatus',
        'Opportunity',
        'OpportunityCloseReason',
        'OpportunityStatus',
        'SalesFunnel',
    ];

    /**
     * {@inheritdoc}
     */
    protected function getRenamedEntitiesNames(Schema $schema)
    {
        $oldNameSpace = 'OroCRM\Bundle\SalesBundle\Entity';
        $newNameSpace = 'Oro\Bundle\SalesBundle\Entity';

        $renamedEntityNamesMapping = [];
        foreach ($this->entitiesNames as $entityName) {
            $renamedEntityNamesMapping["$newNameSpace\\$entityName"] = "$oldNameSpace\\$entityName";
        }

        return $renamedEntityNamesMapping;
    }
}
